<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author felipe.cadena
@version 2.0
@description Predios resultantes de la cancelacion masiva  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="prediosCanceladosPanelGrid">

    <h:form id="prediosCanceladosForm"> 



        <p:messages id="msgsPrediosCancealados" showDetail="false" globalOnly="false" />

        <legend>

            <h:outputLabel value="Generar nuevo predio" styleClass="legendTitle" />

        </legend>


        <p:spacer height="30" width="0" />
        <p:dataTable var="predio" 
                     value="#{entradaProyeccion.prediosResultantesCancelacionMasiva}"
                     rowKey="#{predio.id}"
                     paginator="true" rows="10" selectionMode="single"
                     paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                     emptyMessage="No existen predios resultantes.">


            <p:column headerText="Departamento">
                <h:outputText value="#{predio.departamento.codigo}" />
            </p:column>
            <p:column headerText="Municipio">
                <h:outputText value="#{predio.municipio.codigo}" />
            </p:column>
            <p:column headerText="Zona">
                <h:outputText value="#{predio.zona}" />
            </p:column>
            <p:column headerText="Sector">
                <h:outputText value="#{predio.sector}" />
            </p:column>
            <p:column headerText="Comuna">
                <h:outputText value="#{predio.comuna}" />
            </p:column>
            <p:column headerText="Barrio">
                <h:outputText value="#{predio.barrio}" />
            </p:column>
            <p:column headerText="Manzana/Vereda">
                <h:outputText value="#{predio.manzanaVereda}" />
            </p:column>
            <p:column headerText="Terreno">
                <h:outputText value="#{predio.terreno}" />
            </p:column>
            <p:column headerText="Condición predio">
                <h:outputText value="#{predio.condicionPropiedad}" />
            </p:column>
            <p:column headerText="Torre">
                <h:outputText value="#{predio.edificio}" />
            </p:column>
            <p:column headerText="Piso">
                <h:outputText value="#{predio.piso}" />
            </p:column>
            <p:column headerText="No. Unidad">
                <h:outputText value="#{predio.unidad}" />
            </p:column>
            <p:column headerText="No. Predial resultante">
                <h:outputText value="#{predio.numeroPredialAntiguoConFormato}" />
            </p:column>

        </p:dataTable>

        <p:spacer height="30" width="0" />

        <p:commandButton value="Aceptar"
                         action="#{entradaProyeccion.cancelarMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, prediosResultantesCancelacionWV, false);" 
                         icon="ui-icon-check"
                         update=":tabView1:entradaProyeccionForm, msgsPrediosCancealados" />
        <p:spacer height="0" width="10" />
        <p:commandButton value="Cancelar"
                         oncomplete="handleCompleteSIC(xhr, status, args, prediosResultantesCancelacionWV, false);" 
                         icon="ui-icon-close"
                         action="#{entradaProyeccion.reversarCancelacionMasiva}"
                         update=":tabView1:entradaProyeccionForm, msgsPrediosCancealados" />
        <p:spacer height="0" width="10" />
        <p:commandButton value="Visor GIS"
                         action="#{entradaProyeccion.cancelarMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, prediosResultantesCancelacionWV, false);" 
                         icon="ui-icon-search"
                         update=":tabView1:entradaProyeccionForm, msgsPrediosCancealados" />

        <p:spacer height="30" width="0" />

    </h:form>


</h:panelGrid>